| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Viewer2DPosDataSel Class Reference
uiODMain

`#include <uiodviewer2dposgrp.h>`

## Public Types
enum | PosType { InLine =0 , CrossLine =1 , Line2D =2 , ZSlice =3 , RdmLine =4 }

## Public Member Functions
| Viewer2DPosDataSel ()
| Viewer2DPosDataSel (const Viewer2DPosDataSel &)
virtual | ~Viewer2DPosDataSel ()
virtual void | clean ()
virtual void | fillPar (IOPar &) const
Viewer2DPosDataSel & | operator= (const Viewer2DPosDataSel &)
virtual void | usePar (const IOPar &)

## Static Public Member Functions
static const char * | sKeyRdmLineID ()
static const char * | sKeyRdmLineMultiID ()
static const char * | sKeySelectData ()

## Public Attributes
Pos::GeomID | geomid_
PosType | postype_
RandomLineID | rdmlineid_
MultiID | rdmlinemultiid_
bool | selectdata_ = true
Attrib::SelSpec | selspec_
TrcKeyZSampling | tkzs_

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ PosType

enum Viewer2DPosDataSel::PosType

Enumerator
InLine |
CrossLine |
Line2D |
ZSlice |
RdmLine |

## Constructor & Destructor Documentation

## ◆ Viewer2DPosDataSel() [1/2]

Viewer2DPosDataSel::Viewer2DPosDataSel | ( |  | ) |

## ◆ Viewer2DPosDataSel() [2/2]

Viewer2DPosDataSel::Viewer2DPosDataSel | ( | const Viewer2DPosDataSel & |  | ) |

## ◆ ~Viewer2DPosDataSel()

virtual Viewer2DPosDataSel::~Viewer2DPosDataSel | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clean()

virtual void Viewer2DPosDataSel::clean | ( |  | ) |
| virtual

## ◆ fillPar()

virtual void Viewer2DPosDataSel::fillPar | ( | IOPar & |  | ) | const
| virtual

## ◆ operator=()

Viewer2DPosDataSel & Viewer2DPosDataSel::operator= | ( | const Viewer2DPosDataSel & |  | ) |

## ◆ sKeyRdmLineID()

static const char * Viewer2DPosDataSel::sKeyRdmLineID | ( |  | ) |
| inline static

## ◆ sKeyRdmLineMultiID()

static const char * Viewer2DPosDataSel::sKeyRdmLineMultiID | ( |  | ) |
| inline static

## ◆ sKeySelectData()

static const char * Viewer2DPosDataSel::sKeySelectData | ( |  | ) |
| inline static

## ◆ usePar()

virtual void Viewer2DPosDataSel::usePar | ( | const IOPar & |  | ) |
| virtual

## Member Data Documentation

## ◆ geomid_

Pos::GeomID Viewer2DPosDataSel::geomid_

## ◆ postype_

PosType Viewer2DPosDataSel::postype_

## ◆ rdmlineid_

RandomLineID Viewer2DPosDataSel::rdmlineid_

## ◆ rdmlinemultiid_

MultiID Viewer2DPosDataSel::rdmlinemultiid_

## ◆ selectdata_

bool Viewer2DPosDataSel::selectdata_ = true

## ◆ selspec_

Attrib::SelSpec Viewer2DPosDataSel::selspec_

## ◆ tkzs_

TrcKeyZSampling Viewer2DPosDataSel::tkzs_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025